osg::ConstValueVisitor Class Reference

`#include <Array>`

## Public Member Functions

| ConstValueVisitor ()
virtual | ~ConstValueVisitor ()
virtual void | apply (const GLbyte &)
virtual void | apply (const GLshort &)
virtual void | apply (const GLint &)
virtual void | apply (const GLushort &)
virtual void | apply (const GLubyte &)
virtual void | apply (const GLuint &)
virtual void | apply (const GLfloat &)
virtual void | apply (const GLdouble &)
virtual void | apply (const Vec2b &)
virtual void | apply (const Vec3b &)
virtual void | apply (const Vec4b &)
virtual void | apply (const Vec2s &)
virtual void | apply (const Vec3s &)
virtual void | apply (const Vec4s &)
virtual void | apply (const Vec2i &)
virtual void | apply (const Vec3i &)
virtual void | apply (const Vec4i &)
virtual void | apply (const Vec2ub &)
virtual void | apply (const Vec3ub &)
virtual void | apply (const Vec4ub &)
virtual void | apply (const Vec2us &)
virtual void | apply (const Vec3us &)
virtual void | apply (const Vec4us &)
virtual void | apply (const Vec2ui &)
virtual void | apply (const Vec3ui &)
virtual void | apply (const Vec4ui &)
virtual void | apply (const Vec2 &)
virtual void | apply (const Vec3 &)
virtual void | apply (const Vec4 &)
virtual void | apply (const Vec2d &)
virtual void | apply (const Vec3d &)
virtual void | apply (const Vec4d &)
virtual void | apply (const Matrixf &)
virtual void | apply (const Matrixd &)
virtual void | apply (const Quat &)
virtual void | apply (const GLuint64 &)
virtual void | apply (const GLint64 &)

## Constructor & Destructor Documentation

## ConstValueVisitor()

osg::ConstValueVisitor::ConstValueVisitor | ( |  | ) |

inline

## ~ConstValueVisitor()

virtual osg::ConstValueVisitor::~ConstValueVisitor | ( |  | ) |

inline virtual

## Member Function Documentation

## apply() [1/37]

virtual void osg::ConstValueVisitor::apply | ( | const GLbyte & |  | ) |

inline virtual

Referenced by osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::accept(), and osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::accept().

## apply() [2/37]

virtual void osg::ConstValueVisitor::apply | ( | const GLdouble & |  | ) |

inline virtual

## apply() [3/37]

virtual void osg::ConstValueVisitor::apply | ( | const GLfloat & |  | ) |

inline virtual

## apply() [4/37]

virtual void osg::ConstValueVisitor::apply | ( | const GLint & |  | ) |

inline virtual

## apply() [5/37]

virtual void osg::ConstValueVisitor::apply | ( | const GLint64 & |  | ) |

inline virtual

## apply() [6/37]

virtual void osg::ConstValueVisitor::apply | ( | const GLshort & |  | ) |

inline virtual

## apply() [7/37]

virtual void osg::ConstValueVisitor::apply | ( | const GLubyte & |  | ) |

inline virtual

## apply() [8/37]

virtual void osg::ConstValueVisitor::apply | ( | const GLuint & |  | ) |

inline virtual

## apply() [9/37]

virtual void osg::ConstValueVisitor::apply | ( | const GLuint64 & |  | ) |

inline virtual

## apply() [10/37]

virtual void osg::ConstValueVisitor::apply | ( | const GLushort & |  | ) |

inline virtual

## apply() [11/37]

virtual void osg::ConstValueVisitor::apply | ( | const Matrixd & |  | ) |

inline virtual

## apply() [12/37]

virtual void osg::ConstValueVisitor::apply | ( | const Matrixf & |  | ) |

inline virtual

## apply() [13/37]

virtual void osg::ConstValueVisitor::apply | ( | const Quat & |  | ) |

inline virtual

## apply() [14/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec2 & |  | ) |

inline virtual

## apply() [15/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec2b & |  | ) |

inline virtual

## apply() [16/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec2d & |  | ) |

inline virtual

## apply() [17/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec2i & |  | ) |

inline virtual

## apply() [18/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec2s & |  | ) |

inline virtual

## apply() [19/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec2ub & |  | ) |

inline virtual

## apply() [20/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec2ui & |  | ) |

inline virtual

## apply() [21/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec2us & |  | ) |

inline virtual

## apply() [22/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec3 & |  | ) |

inline virtual

## apply() [23/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec3b & |  | ) |

inline virtual

## apply() [24/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec3d & |  | ) |

inline virtual

## apply() [25/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec3i & |  | ) |

inline virtual

## apply() [26/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec3s & |  | ) |

inline virtual

## apply() [27/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec3ub & |  | ) |

inline virtual

## apply() [28/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec3ui & |  | ) |

inline virtual

## apply() [29/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec3us & |  | ) |

inline virtual

## apply() [30/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec4 & |  | ) |

inline virtual

## apply() [31/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec4b & |  | ) |

inline virtual

## apply() [32/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec4d & |  | ) |

inline virtual

## apply() [33/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec4i & |  | ) |

inline virtual

## apply() [34/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec4s & |  | ) |

inline virtual

## apply() [35/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec4ub & |  | ) |

inline virtual

## apply() [36/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec4ui & |  | ) |

inline virtual

## apply() [37/37]

virtual void osg::ConstValueVisitor::apply | ( | const Vec4us & |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- Array